/* #################
   SECCIÓN SERVICIOS
   ################# */
.services-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 30px;
}

.service-card {
    background-color: var(--white);
    padding: 30px;
    border-radius: 10px;
    text-align: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    border: 1px solid rgba(50, 132, 132, 0.100);
}

.service-card h3 {
    font-size: 2.00rem;
}

.service-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 20px rgba(15, 73, 76, 0.100); /* Sombra con tu color oscuro */
}

/* ESTILOS PARA LOS ICONOS (Google Material) */
.service-icon {
    font-size: 4rem !important;
    color: var(--primary-color);
    margin-bottom: 20px;
    display: inline-block;
    transition: transform 0.3s ease;
    user-select: none; /* Evita que el cliente seleccione el icono como si fuera texto */
}

/* Efecto: Que el icono haga un pequeño zoom al pasar el ratón por la tarjeta */
.service-card:hover .service-icon {
    transform: scale(1.1);
    color: var(--primary-dark); 
}